## GeditWindowActivatable GeditWindowActivatable — Interface for activatable extensions on windows |

## Functions

void | gedit_window_activatable_activate ()
void | gedit_window_activatable_deactivate ()
void | gedit_window_activatable_update_state ()

## Properties

GeditWindow * | window | Read / Write / Construct Only

## Types and Values

| GeditWindowActivatable
struct | GeditWindowActivatableInterface

## Object Hierarchy

        GInterface
        ╰── GeditWindowActivatable

## Prerequisites

GeditWindowActivatable requires GObject.

## Description

GeditWindowActivatable is an interface which should be implemented by extensions that should be activated on a GeditWindow.

## Functions

### gedit_window_activatable_activate ()

    void
    gedit_window_activatable_activate (GeditWindowActivatable *activatable);

Activates the extension on the window.

#### Parameters

activatable | a GeditWindowActivatable. |

### gedit_window_activatable_deactivate ()

    void
    gedit_window_activatable_deactivate (GeditWindowActivatable *activatable);

Deactivates the extension from the window.

#### Parameters

activatable | a GeditWindowActivatable. |

### gedit_window_activatable_update_state ()

    void
    gedit_window_activatable_update_state (GeditWindowActivatable *activatable);

Triggers an update of the extension internal state to take into account state changes in the window, due to some event or user action.

#### Parameters

activatable | a GeditWindowActivatable. |

## Types and Values

### GeditWindowActivatable

    typedef struct _GeditWindowActivatable GeditWindowActivatable;

### struct GeditWindowActivatableInterface

    struct GeditWindowActivatableInterface {
    	GTypeInterface parent_interface;

    	void (*activate) (GeditWindowActivatable *activatable);

    	void (*deactivate) (GeditWindowActivatable *activatable);

    	void (*update_state) (GeditWindowActivatable *activatable);
    };

The virtual function table for GeditWindowActivatable.

#### Members

GTypeInterface `parent_interface`; | The parent interface. |
`activate` () | The virtual function pointer for `gedit_window_activatable_activate()`. |
`deactivate` () | The virtual function pointer for `gedit_window_activatable_deactivate()`. |
`update_state` () | The virtual function pointer for `gedit_window_activatable_update_state()`. |

## Property Details

### The `“window”` property

      “window”                   GeditWindow *

The GeditWindow.

Owner: GeditWindowActivatable

Flags: Read / Write / Construct Only

## See Also

PeasExtensionSet